debmake (4.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #969711)

 -- Paul Gevers <elbrus@debian.org>  Mon, 07 Sep 2020 08:40:24 +0200

debmake (4.3.2-1) unstable; urgency=medium

  [Ondřej Nový]
  * d/changelog: Remove trailing whitespaces

  [VictorRodriguez]
  * Warning instead of error debmake fail due to missing shebang in setup.py

  [ Osamu Aoki ]
  * Drop incorrect statement on licensecheck.  Closes: #953724
  * Add the Upstream-Contact field. Closes: #935532
  * Add JavaScript Node.js experimental support. Closes: #954828

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Jul 2020 02:06:01 +0900

debmake (4.3.1-1) unstable; urgency=medium

  * Remove -dbg support.  Now -dbgsym is autogenerated.

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Aug 2018 02:00:15 +0900

debmake (4.3.0-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Prefer https URL for Format line in d/copyright. Closes: #854779
  * Bump Standards-Version to 4.1.4.
  * Apply "wrap-and-sort -abst" to debian/control file.
  * Use Salsa platform for project homepage and Vcs fields.
  * Use http URL when applicable.
  * Fix wrong upstart template name. Closes: #868986
  * Bump debamke package version to 4.3.0.
  * Remove several trailing spaces and fix typos.
  * Launch safely for undefined DEBEMAIL variable.  Closes: #858614
  * Add quotations for directory path with space.  Closes: #867863

 -- Osamu Aoki <osamu@debian.org>  Tue, 10 Jul 2018 23:28:23 +0900

debmake (4.2.9-1) unstable; urgency=medium

  * Fix formatting error in manpage.

 -- Osamu Aoki <osamu@debian.org>  Wed, 07 Dec 2016 23:08:25 +0900

debmake (4.2.8-1) unstable; urgency=medium

  * Add --local option to avoid the lintian error.

 -- Osamu Aoki <osamu@debian.org>  Sun, 04 Dec 2016 01:12:24 +0900

debmake (4.2.7-1) unstable; urgency=medium

  * Skip debian/copyright for license check.
  * Remind to use licensecheck.
  * Improve pedantic mode.
  * Handle gpl with autoconf exception better.  Closes: #815621

 -- Osamu Aoki <osamu@debian.org>  Mon, 17 Oct 2016 21:04:36 +0900

debmake (4.2.6-1) unstable; urgency=medium

  * Split core part of copyright.py as checkdep5.py
  * Refine regex for format in checkdep5.py
  * Update full license output format in checkdep5.py
  * Rewrite parse_lines logic in checkdep5.py
  * Allow bigger head and tail junk chars in lc.py
  * Refine and add test cases such as SGI-* license
  * Add test1 target for Makefile
  * Support compression types for setup.py

 -- Osamu Aoki <osamu@debian.org>  Mon, 13 Jun 2016 23:33:24 +0900

debmake (4.2.5-1) unstable; urgency=medium

  * Sort copyright by name.
  * Require LICENSE files to be real file.  Closes: #819054
  * Prety print .FULL_LICENSE test output of copyright.py.
  * Fix slow regex for year/name split in the copyright line.
  * Drop consecutive blank lines.
  * Refine copyright and license extractor.
  * Add new non-ASCII and binary detector.
  * Build test with FULL_LICENSE test output.
  * Update manpage to mention licensecheck.
  * Allow C++ and C comment lines to be mixed.  Closes: #819321

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Mar 2016 23:28:49 +0900

debmake (4.2.4-1) unstable; urgency=medium

  * Fix license attribute (old FSF address).
  * Add test case and refine license parse logic.

 -- Osamu Aoki <osamu@debian.org>  Mon, 21 Mar 2016 02:34:35 +0900

debmake (4.2.3-1) unstable; urgency=medium

  * Use Expat over MIT.  Closes: #815182
  * Check additional terms like EFI exception and detect openSSL.
    Closes: #805130
  * Fix bugs for GPL autoconf exception.  #815621
  * Add self test suite.

 -- Osamu Aoki <osamu@debian.org>  Sun, 20 Mar 2016 22:38:08 +0900

debmake (4.2.2-1) unstable; urgency=medium

  * Typo fix: Closes: #793654
  * Do not exclude files agressively with "rsync -C".

 -- Osamu Aoki <osamu@debian.org>  Fri, 14 Aug 2015 19:21:43 +0000

debmake (4.2.1-1) unstable; urgency=medium

  * Force to use UTF-8 even in C locale. Closes: #783243
  * Stop debmake -t if .pc directory exists. Closes: #786878
  * Manpage refer to the debmake-doc package.

 -- Osamu Aoki <osamu@debian.org>  Wed, 27 May 2015 22:31:16 +0900

debmake (4.2.0-1) unstable; urgency=medium

  * Allow single -dbg package case for bin+lib > 1.
  * Fix copyright holder list generation. Closes: #782850
  * Delayed execution of dpkg-buildflags to make DEB_*_MAINT_APPEND
    effective is activated only for Vala.
  * No more CPPFLAGS workaround for cmake.
  * Make template file messages more consistent.
  * -b option argument drops white spaces .
  * Refine the auto-generated file handling.

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 Apr 2015 12:39:55 +0900

debmake (4.1.8-1) experimental; urgency=medium

  * Split out debmake-doc for stretch.
  * Support "make install --prefix=/usr" for Makefile as comment.
  * Drop -Q option and introduce -P and -T options.
  * Treat permissive auto-generated files wisely.  Closes: #780134
  * -k deals _SAME_ license case wisely.  Closes: #780135
  * Package type "" defaults to bin.  Closes: #780136
  * Use single # for tutorial content lines and clean them.

 -- Osamu Aoki <osamu@debian.org>  Mon, 15 Dec 2014 06:41:15 +0900

debmake (4.1.7-2) unstable; urgency=medium

  * Add sanity check for copyright lines. Closes: #767666
  * Update template for autogen.sh. Closes: #771920
  * Work around os.getlogin. Closes: #769392
  * Update documentstion. Closes: #769392

 -- Osamu Aoki <osamu@debian.org>  Thu, 04 Dec 2014 00:01:00 +0900

debmake (4.1.7-1) unstable; urgency=medium

  * Minor adjustment to debian/rules template etc. for
    #763535.

 -- Osamu Aoki <osamu@debian.org>  Tue, 14 Oct 2014 00:25:34 +0900

debmake (4.1.6-1) unstable; urgency=medium

  * Adjust comments and documentation per further discussion on
    #763535.

 -- Osamu Aoki <osamu@debian.org>  Mon, 13 Oct 2014 22:15:24 +0900

debmake (4.1.5-1) unstable; urgency=medium

  * Add suggests for programs used in the documentation.
  * Mark tutorial content lines with ### with warnings to remove
    them before uploading to the archive.  Add -Q option to do without
    tutorial content lines.  Closes: #763535

 -- Osamu Aoki <osamu@debian.org>  Mon, 13 Oct 2014 00:40:53 +0900

debmake (4.1.4-1) unstable; urgency=medium

  * Use pybuild for python3. Closes: #704469
  * Support setuptools for python/python3.
  * Support autogen.sh for autoreconf.
  * Refine export and override.

 -- Osamu Aoki <osamu@debian.org>  Mon, 04 Aug 2014 00:42:04 +0900

debmake (4.1.3-1) unstable; urgency=medium

  * Include maint-guide.html in package.

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 Jul 2014 00:33:04 +0900

debmake (4.1.2-1) unstable; urgency=medium

  * Refine the binNMU safe version range (analyze.py).
  * Support the DFSG packaging via uscan+copyright.
  * Extract copyright from texinfo.tex.
  * Warn (not fail) for the broken order in the debian/copyright
    for the -k option.
  * Support autoconf exception for GPL-3.0+.
  * Update the document and split it into 2.
    - Debmake tutorial: debmake.html
    - Debian Maintainers' Guide with debmake: maint-guide.html

 -- Osamu Aoki <osamu@debian.org>  Sat, 19 Jul 2014 14:28:40 +0900

debmake (4.1.1-1) unstable; urgency=medium

  * Support non-currentdir tarball. Closes: #752206
  * Case insensitive license check.

 -- Osamu Aoki <osamu@debian.org>  Tue, 01 Jul 2014 23:44:40 +0900

debmake (4.1.0-1) unstable; urgency=medium

  * Rewrite license scanner scripts and improved DEP-5 compliance
    for the exception.
  * Add experimental debian/copyright verification (-k) support.
  * Skip dh_auto_test for -j.
  * Skip license scan for XML/HTML files.
  * Use /usr/share/dpkg/default.mk in debian/rules.

 -- Osamu Aoki <osamu@debian.org>  Fri, 13 Jun 2014 00:53:08 +0900

debmake (4.0.10-1) unstable; urgency=medium

  * Set Build-Depends to python3-all. Closes: #743090
  * Run dpkg-depcheck with -j also for the single binary
  * Allow empty archive (E:->W:)
  * Support dh_systemd etc.
  * Documentation updates.
  * Improve DEP-5 compliance with internally implemented license
    check script lc.py.

 -- Osamu Aoki <osamu@debian.org>  Thu, 03 Apr 2014 01:26:21 +0900

debmake (4.0.9-1) unstable; urgency=medium

  * Fix regression of 4.0.8 for -d and add safegurd of VCS for untar.
    Closes: #739692
  * Introduce javahelper and gem2deb support.
  * Support configure.in.
  * -yy is always no.
  * Add ${shlibs:Depends} for bin and lib
  * Support URL for -a
  * Support package description from the upstream -s
  * Update package dependency.
  * Clean up generated files.
  * Add HTML documentation (not finished but useful).

 -- Osamu Aoki <osamu@debian.org>  Tue, 25 Feb 2014 01:09:15 +0900

debmake (4.0.8-1) unstable; urgency=medium

  * Update dependency huristics and --with.  python2 is set
    only for compat < 9.
  * Improve upstream tarball handling to make -a to work with
    foo-1.0.orig.tar.gz
  * Perl module build improvements such as -d to cope with
    Foo-1.0.tar.gz and Foo-1.0/ .  Also, move the parent
    directory to package-version/ in the lower case.
  * Udate manpage to document examples, character limitations,
    etc. with bullet list.

 -- Osamu Aoki <osamu@debian.org>  Sun, 09 Feb 2014 00:57:12 +0900

debmake (4.0.7-1) unstable; urgency=medium

  * Cosmetic refinement.
  * Fix package dependency update for perl, ... .
  * Fix Pre-Depends: for library.
  * Reduce doc related template generation cases.
  * Reduce comments in rules for non-multiarch case.

 -- Osamu Aoki <osamu@debian.org>  Sun, 02 Feb 2014 11:13:10 +0900

debmake (4.0.6-1) unstable; urgency=medium

  * Relax upstream version huristics on the parent directory.

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Jan 2014 00:21:49 +0900

debmake (4.0.5-1) unstable; urgency=medium

  * -o added to support reading parameters from an option file.
  * -j added to support dpkg-depcheck etc.
  * Support -dbg generation with override.
  * Fix python3 override template code.
  * Add package.info and updated Description contents in control.

 -- Osamu Aoki <osamu@debian.org>  Fri, 24 Jan 2014 00:22:15 +0900

debmake (4.0.4-1) unstable; urgency=medium

  * Fix regressions for compat, patches/series, default for -t/-d,
    rules for -w python3, and s/local_options/local-options/.
  * Add use case examples as examples.tar.gz.
  * Lintian bug #733733 workaround.

 -- Osamu Aoki <osamu@debian.org>  Sat, 18 Jan 2014 00:35:40 +0900

debmake (4.0.3-1) unstable; urgency=medium

  * -i added to create Debian binary files directly from debmake.
  * Reorganize template files and source files.
  * Improve control and package.install generations for multi
    binary packages.
  * Adjust package dependency: python3-all:any
  * Fix typos and update documentations.
  * Improv DEBUG mode .

 -- Osamu Aoki <osamu@debian.org>  Wed, 15 Jan 2014 01:12:17 +0900

debmake (4.0.2-1) unstable; urgency=medium

  * Split source files into smaller files.
    - copyright.py still needs to be worked on.
  * -x[01234] supported
  * -o dropped because we do not do it.
  * -y added to confirm before deleting the source tree.

 -- Osamu Aoki <osamu@debian.org>  Sun, 12 Jan 2014 17:33:19 +0900

debmake (4.0.1-1) unstable; urgency=low

  * -a option with path fixed.
  * Use ${python3:Depends} for python3.
  * Use anonscm.
  * -t option to make Upstream tarball without the debian directory

 -- Osamu Aoki <osamu@debian.org>  Mon, 16 Sep 2013 21:12:30 +0900

debmake (4.0.0-4) unstable; urgency=low

  * Remove lintian-override.
  * Fix build script.

 -- Osamu Aoki <osamu@debian.org>  Sat, 18 May 2013 06:31:04 +0900

debmake (4.0.0-3) unstable; urgency=low

  * Add lintian-override based on Bug#708138.
  * Make debian/rules executable.
  * Update package name only if it is null.

 -- Osamu Aoki <osamu@debian.org>  Fri, 17 May 2013 22:11:31 +0900

debmake (4.0.0-2) unstable; urgency=low

  * Fix architecture to be all.

 -- Osamu Aoki <osamu@debian.org>  Wed, 15 May 2013 20:53:29 +0900

debmake (4.0.0-1) unstable; urgency=low

  * Initial release. Closes: #707601

 -- Osamu Aoki <osamu@debian.org>  Sat, 11 May 2013 12:36:02 +0900
